#
# uupk05.rb
#
# $Id: uupk05.rb,v 1.1 2000/11/23 08:19:15 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


N = 20
M = 5
y1 = NArray.sfloat(N)
y2 = NArray.sfloat(N)
a = NArray.sfloat(M)

rundef = glrget('RUNDEF')

#-----------------------------------------------------------------------
dt = 1.0/(N-1)
for j in 0..M-1
  jj = j*2+1
  a[j] = (-1.0)**(j+1) *2.0/(jj*PI)
end

for i in 0..N-1
  t = dt*i*2*PI
  y1[i] = a[0]*cos(t)
  y2[i] = 0.0
  for j in 0..M-1
    jj = j*2+1
    yy = a[j]*cos(jj*t)
    y2[i]  = y2[i] + yy
  end
end

#-----------------------------------------------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sglset('LCLIP', true)

gropn iws

grfrm

usspnt(N, rundef, y1)
usspnt(N, rundef, y2)
grswnd(0.0, 1.0, rundef, rundef)
uspfit
grstrf

usdaxs

uusarp(2999, 4999)
uvbxa(N, rundef, rundef, y1)
uvbxf(N, rundef, rundef, y1)

grfrm

usspnt(N, y1, rundef)
usspnt(N, y2, rundef)
grswnd(rundef, rundef, 0.0, 1.0)
uspfit
grstrf

usdaxs

uhbxa(N, y1, y2, rundef)
uhbxf(N, y1, y2, rundef)

grcls

